*, * > *, *::before, *::after {
    box-sizing: border-box;
}
html, body {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0;
    margin: 0;
}
body {
    background: url(img/splash.jpg);
    background-size: contain;
    background-repeat: no-repeat;

    --logo-size: 220px;
    --navi-top: 100px;
    --navi-width: 205px;
}
body::after {
    content: "";
    position: absolute;
    left: 16px;
    width: var(--logo-size);
    height: var(--logo-size);
    background: url(img/logo3d.png);
    background-size: cover;
}

.top-bar > .schedule {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 100px;
    margin-left: 290px;
    width: calc(100vw - 256px - 112px);
    opacity: 0.33;
}
.top-bar > .schedule > table {
    margin: 8px 0 0 auto;
    height: 84px;
    color: #fff;
    font-family: Avenir, Helvetica, Arial, sans-serif;
    font-weight: bold;
    font-size: 28px;
}
.top-bar > .schedule > table td {
    text-align: center;
    text-shadow:
            -1px -1px #000,
            -1px 0 #000,
            -1px 1px #000,
            0 -1px #000,
            0 1px #000,
            1px -1px #000,
            1px 0 #000,
            1px 1px #000;
    font-variant: small-caps;
}

.navi-bg {
    position: absolute;
    left: 0;
    width: var(--navi-width);
    bottom: 0;
    top: var(--navi-top);
    overflow: hidden;
    background: linear-gradient(180deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 33vh, rgba(255,255,255,1) 100%);
    box-shadow: inset -1px 0 0 rgba(0,0,0,0.5);
}
.main-bg {
    position: absolute;
    left: var(--navi-width);
    right: 0;
    bottom: 0;
    top: var(--navi-top);
    overflow: hidden;
    overflow-y: scroll;
    background: linear-gradient(180deg, rgba(255,255,255,.75) 0%, rgba(255,255,255,1) 25vh, rgba(255,255,255,1) 100%);
    border-top: 1px solid rgba(0,0,0,0.75);
    box-shadow: inset -8px 8px 16px -4px rgba(0,0,0,.5);
}
.main-fg {
    overflow: hidden;
}

.navi-content {
    position: absolute;
    top: var(--logo-size);
    width: var(--navi-width);

    --border-width: 2px;
    --element-height: 36px;
}
.navi-content > ul {
    font-family: Avenir, Helvetica, Arial, sans-serif;
    font-weight: bold;
    font-size: 12px;
    list-style: none;
    line-height: 32px;
}
.navi-content > ul > li {
    height: var(--element-height);
    border-top: var(--border-width) solid #000;
    border-bottom: var(--border-width) solid #000;
    background: #fff;
    z-index: 1;
    position: relative;

    padding-left: 16px;
    margin-left: -8px;

    text-transform: uppercase;
    cursor: pointer;
    user-select: none;
}
.navi-content > ul > li::before {
    content: "";

    width: 32px;
    height: var(--element-height);

    position: absolute;
    left: -16px;
    top: calc(var(--border-width) * -1);

    border: var(--border-width) solid #000;
    border-radius: 50% 0 0 50%;
    border-right-color: transparent;

    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 50%, rgba(255,255,255,0) 100%);

    z-index: -1;
}
.navi-content > ul > li::after {
    content: "";

    width: 32px;
    height: var(--element-height);

    position: absolute;
    right: -16px;
    top: calc(var(--border-width) * -1);

    border: var(--border-width) solid #000;
    border-radius: 0 50% 50% 0;
    border-left-color: transparent;

    background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 50%, rgba(255,255,255,1) 100%);

    z-index: -1;
}
.navi-content > ul > li + li {
    margin-top: 8px;
}

.navi-content .navi-current {
    background: rgba(240,145,0,1);
    color: #fff;
    text-shadow:
            -1px -1px #000,
            -1px 0 #000,
            -1px 1px #000,
            0 -1px #000,
            0 1px #000,
            1px -1px #000,
            1px 0 #000,
            1px 1px #000;
}
.navi-content .navi-current::before {
    background: linear-gradient(90deg, rgba(240,145,0,1) 0%, rgba(240,145,0,1) 50%, rgba(240,145,0,0) 100%);
}
.navi-content .navi-current::after {
    background: linear-gradient(90deg, rgba(240,145,0,0) 0%, rgba(240,145,0,1) 50%, rgba(240,145,0,1) 100%);
}

.main-fg > h1, .main-fg > h2 {
    padding-left: 48px;
}
.main-fg > h2 {
    margin-left: -48px;
    width: calc(100% + 48px);
}
.main-fg > .main-text-content {
    margin-left: 64px;
    padding-left: 24px;
    padding-right: 48px;
}

.main-fg {
    font-family: Avenir, Helvetica, Arial, sans-serif;
}

h1 {
    position: relative;
    text-align: right;
    color: #fff;
    background: linear-gradient(270deg, rgba(240,145,0,1) 0%, rgba(240,145,0,1) 50%, rgba(240,145,0,0) 95%);
    text-shadow:
            -1px -1px #000,
            -1px 0 #000,
            -1px 1px #000,
            0 -1px #000,
            0 1px #000,
            1px -1px #000,
            1px 0 #000,
            1px 1px #000;
    padding-right: 64px;
    margin-left: -48px;
}
h2 {
    position: relative;
    text-align: right;
    color: #000;
    background: linear-gradient(270deg, rgba(240,145,0,1) 0%, rgba(240,145,0,1) 50%, rgba(240,145,0,0) 95%);
    width: 100%;
    padding: 2px 0;
    margin-left: -48px;
}
h2 > div {
    background: #fff;
    padding: 2px 64px 2px 0;
}

p {
    line-height: 1.5rem;
}
p span.no-break {
    white-space: nowrap;
}

.link-boxes {
    display: flex;
    flex-direction: row;
    padding-right: 16px;
}
.link-boxes > div {
    border: 2px solid rgba(240,145,0,1);
    border-radius: 8px;
    width: 100%;
    box-shadow: 2px 2px 4px rgba(0,0,0,.1);
    padding-bottom: 8px;
}
.link-boxes > div > address + p,
.link-boxes > div > p + p {
    margin-top: 4px;
    margin-bottom: 4px;
}
.link-boxes > div > p + address {
    margin-top: 16px;
}
.link-boxes > div + div {
    margin-left: 16px;
}
.link-boxes > div > h2 {
    padding-left: 8px;
    padding-right: 24px;
    margin-left: initial;
    margin-top: 16px;
}
.link-boxes > div > h2,
.link-boxes > div > h3 {
    font-size: 18px;
    color: #fff;
    text-shadow:
            -1px -1px rgba(0,0,0,.1),
            -1px 0 rgba(0,0,0,.1),
            -1px 1px rgba(0,0,0,.1),
            0 -1px rgba(0,0,0,.1),
            0 1px rgba(0,0,0,.1),
            1px -1px rgba(0,0,0,.1),
            1px 0 rgba(0,0,0,.1),
            1px 1px rgba(0,0,0,.1);
}
.link-boxes > div > h3 {
    margin-top: .25em;
    margin-bottom: .25em;
}
.link-boxes > div > p {
    line-height: 1rem;
}
.link-boxes > div > p > small {
    color: rgba(0,0,0,.25);
}
.link-boxes > div > p,
.link-boxes > div > h3,
.link-boxes > div > address {
    padding: 0 16px 0 32px;
}
.link-boxes > div > p + p {
    padding-top: 0;
}
.link-boxes > div > address,
address > a.external-link {
    font-weight: 500;
}
address > a {
    vertical-align: middle;
    display: inline-block;
}
address > a > img {
    width: 24px;
    height: 24px;
    line-height: 24px;
}
address > a > img + span {
    display: inline-block;
    transform: translateY(-6px);
    padding-left: 8px;
    line-height: 24px;
}

footer {
    height: 10vh;
}

a {
    color: #008;
    text-decoration: none;
}
a:hover {
    color: #33f;
    text-decoration: underline;
}

/* Navigation-anchors */
.main-fg > a {
    height: 0;
    display: block;
    overflow: hidden;
}

.centered-image-footer {
    position: relative;
    margin: 0 64px 64px 88px;
}
.centered-image-footer > div {
    margin: 0 auto;
    width: 75vmin;
    height: 50vmin;
    max-width: 100%;
    background: url(img/sammontori.png);
    background-size: contain;
    background-position: bottom center;
    background-repeat: no-repeat;
}

/* Inline images */
.inline-centered-image {
    min-height: 50px;
    border: 2px solid rgba(240,145,0,1);
    border-radius: 8px;
    background-size: cover;
    background-position: center center;
    box-shadow: 2px 2px 4px rgba(0,0,0,.1);
    padding-bottom: 8px;
    margin-right: 8px;
}

.inline-right-image > img,
.inline-centered-image > img {
    /* Used only for automatic sizing of the boxes */
    opacity: 0;
}

.main-text-content::after {
    content: "";
    clear: both;
    display: table;
}
.inline-right-image {
    float: right;
    margin-left: 8px;
    margin-right: 16px;
    max-width: 25vw;
    min-height: 50px;
    border: 2px solid rgba(240,145,0,1);
    border-radius: 8px;
    background-size: cover;
    background-position: center center;
    box-shadow: 2px 2px 4px rgba(0,0,0,.1);
    margin-bottom: 8px;
}
.inline-right-image > img {
    opacity: 0;
}

.img-jekkupommi { background-image: url(img/jekkupommi.jpg); }
.img-biljardi { background-image: url(img/biljardi.jpg); }
.img-karaoke { background-image: url(img/karaoke.jpg); }
.img-nightclub { background-image: url(img/nightclub.jpg); }
.img-membercard { background-image: url(img/membercard.png); }